io.vertx.ext.sql

## Enum FetchDirection

- java.lang.Object
- - java.lang.Enum<FetchDirection>
  - - io.vertx.ext.sql.FetchDirection

- All Implemented Interfaces:
    Serializable, Comparable<FetchDirection>

      public enum FetchDirection
      extends Enum<FetchDirection>

  Represents the fetch direction hint
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD`
    `REVERSE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static FetchDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FetchDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final FetchDirection FORWARD

    - #### REVERSE

          public static final FetchDirection REVERSE

    - #### UNKNOWN

          public static final FetchDirection UNKNOWN

  - ### Method Detail

    - #### values

          public static FetchDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FetchDirection c : FetchDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FetchDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

Copyright © 2019 Eclipse. All rights reserved.